This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 860452 - Deleting resources doesnot delete the permission tags
Deleting resources doesnot delete the permission tags
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Dmitri Dolguikh
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 16:45 EDT by Partha Aji
Modified: 2013-09-19 14:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:19:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Partha Aji 2012-09-25 16:45:56 EDT
Description of problem:
Delete resource artificats like org/env/provider/system groups doesnot delete permission which have tags associated with those permissions

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Login as admin
2. create a custom provider X
3. create a role Y
4. Add a permission to  role Y to read/modify provider X
5. Delete provider X
6). Expand Role y

Actual results:
Notice that the permission associated to provider X still exists

Expected results:
The permission associated to provider X must get wiped out since provder X was deleted.

Additional info:
Similar case for Org/Environment/System Groups (the tags end up staying in the permissions even though the resource themselves were deleted.)
Comment 2 Dmitri Dolguikh 2013-01-31 04:39:29 EST
fixed in d318bcbf8eb3c14044688ac63c96dbadcbbeee82, 3f5530decd8bf97149685fdec81f4898f79b0eb0, c80d15a13382b75d7ebc3354a99c3aeb6483d062, 874512a9a0e1fdbc2802df415c62d5a5db499d41, 2bd0c58cdd92fd029f79c93b01ccee58b39fdcbd
Comment 3 Mike McCune 2013-08-16 14:02:14 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 4 Mike McCune 2013-09-19 14:19:28 EDT
These bugs have been resolved in upstream projects for a period of months so
I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to
re-open.

Note You need to log in before you can comment on or make changes to this bug.